// Klasse soll aktuelle Werte des eines virtuellen Controllers festhalten
public class VirtualController {
  private float leftRightPosition = 0, // Wert zwischen -1 und 1
                upDownPosition = 0,    // Wert zwischen -1 und 1
                motorDrive = 0;        // Wert zwischen -1 und 1
  
  VirtualController() {
    
  }
  
  // Getter:
  
  public float getLeftRightPosition() {
    return leftRightPosition;
  }
  
  public float getUpDownPosition() {
    return upDownPosition;
  }
  
  public float getMotorDrive() {
    return motorDrive;
  }
  
  // Setter:
  
  public void updateLeftRightPosition(float newLeftRightPosition) {
    if (newLeftRightPosition >= -1 && newLeftRightPosition <= 1) {
      leftRightPosition = newLeftRightPosition;
    }
  }
  
  public void updateUpDownPosition(float newUpDownPosition) {
    if (newUpDownPosition >= -1 && newUpDownPosition <= 1) {
      upDownPosition = newUpDownPosition;
    }
  }
  
  public void updateMotorDrive(float newMotorDrive) {
    if (newMotorDrive >= -1 && newMotorDrive <= 1) {
      motorDrive = newMotorDrive;
    }
  }
}
